Bug 13266 - FR: предлагаю ещё больше упростить /vm/blonde
: FR: предлагаю ещё больше упростить /vm/blonde
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-10-31 10:18 by
Modified: 2008-03-20 19:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-10-31 10:18:07
http://developers.sun.com/sxde/images.html
Обратите внимание на то как тут сделан модуль разбивки диска, а именно самый
первый шаг.

В верхнем списке предлагаются диски, а внизу действия над ними.
Мне кажется это лучше чем как у нас сейчас сверху listbox с разделами, с
которыми всё-равно ничего не получается сделать.

То бишь я предлагаю сделать сверху селектор дисков (можно такой же красочный)
И профили типа "разбить автоматически/использовать свободное имя" применять
согласно этому выбору ....

Возможно это актуально для дистрибутивов типа Junior.
------- Comment #1 From 2007-10-31 12:25:23 -------
сейчас на них (разделы) предлагается посмотреть, чтобы оценить,
что вообще происходит на дисках и выбрать один из вариантов
поведения.
Я так понимаю, упразднить второй шаг (ручную разбивку) ты не
предлагаешь ?
------- Comment #2 From 2007-10-31 17:58:51 -------
Сейчас от просмотра разделов на этом этапе ни холодно ни жарко ... более того
из-за того что оно сделано listbox - только больше смущает ибо хочется
покликать.

Второй шаг я конечно же не предлагаю менять ... я предлагаю только лёгкий
тюнинг
именно /vm/blonde
------- Comment #3 From 2007-10-31 18:23:11 -------
собссно, такой вариант уже был, почему отказались -- не помню.
------- Comment #4 From 2007-11-01 16:18:40 -------
(In reply to comment #2)
> ибо хочется покликать.
Есть такое дело :)  Ещё right click жутко хочется :)

(ещё хочется, чтоб сервер не предлагал поставить рабочую станцию, а хаки по
/var/cache/alterator для подгонки e.g. размера корня можно было заменить своим
файликом с профилем)
------- Comment #5 From 2007-11-01 16:27:53 -------
да кто ж мешает заменить профиль-то ?
------- Comment #6 From 2007-11-01 22:01:34 -------
Отсутствие знания о том, где/как это делать... (мне)
Мож http://wiki.sisyphus.ru/Alterator/vm сделаешь на пару строк, как f.i
перестанет 500 на попытку edit говорить?
------- Comment #7 From 2007-11-01 22:20:52 -------
прямо сейчас -- в хуке, вроде base/install2/hooks.d/050vm-profile
из spt-profiles-desktop, там его можно и полностью подменить.
wrt wiki на f.i  -- я туда не писатель.
------- Comment #8 From 2007-11-01 22:26:25 -------
Ну так нячэсна, я ж как раз и бухтел, что хуки -- отстой (по реюзабельности). 
Если сделаешь, так ты куда-нить черкни или дёрни, такое-то задокументировать
помогу :)
------- Comment #9 From 2008-03-20 16:28:08 -------
комментарии ## 1-3: wontfix
#4 и далее: fixed, начиная с 0.3-alt21: если во время работы 2й стадии 
обнаружится файл /tmp/metadata/vm-profile.scm, он будет использован в качестве 
профиля вместо пришедшего в обсуждаемом 
пакете /var/cache/alterator/vm-profile.scm.
------- Comment #10 From 2008-03-20 19:02:05 -------
И то спасибо.  А самый первый листбокс таки провоцирует стукнуться о свою r/o
природу -- мож его как-то обдизейблить, чтоб было видно, что это только
информация?